// Task 1 a
// function a(b){
//     alert(b)
// }
// a("Привет!")



// Task 2 cube

function cube(s){ 
    return Math.pow(s,3)
}
console.log(cube(5));



// Task 3 avg2

function avg(c,b){ 
    return (c+b)/2
}
console.log(avg(1,2));
console.log(avg(10,5));



// Task 4 sum3

function sum3(k,l,m=0){
    return k+l+m;
}

console.log(sum3(2,5))



// Task 5 intRandom

function intRandom(a,b=0){
    return Math.round((Math.random() * (b-a) +a ));
}
console.log(intRandom(2,15));
console.log(intRandom(-1,-1));
console.log(intRandom(0,1));
console.log(intRandom(10));



// Task 6 greetAll

function greetAll(){
    for(let i=0; i<arguments.length; i++){
        console.log("Hello "+ arguments[i]);
    }
}
greetAll("Vasik", "Bob", "Mary");


// Task 7 sum

function sum(){
    let allSum = 0;
    for(let i=0; i<arguments.length; i++){
        allSum = allSum+ arguments[i];
    }console.log(allSum)
}

sum(1,2,5,10)

// Task 8 Union
// Всё предыдущие функции и примеры с ними объедините в функции, которые вызывайте в switch по имени задания:

switch(prompt("give me a task", "")){
    case   "a":
        function a(b){
            alert(b)
        }
        a("Привет!")
    break

    case "cube":
        function cube(s){ 
            return Math.pow(s,3)
        }
        console.log(cube(5));
    break

    case "avg2" :
        function avg(c,b){ 
            return (c+b)/2
        }
        
        console.log(avg(1,2));
        console.log(avg(10,5));
    break

    case "sum3" :
        function sum3(k,l,m=0){
            return k+l+m;
        }
        
        console.log(sum3(2,5))
    break

    case "intRandom" :
        function intRandom(a,b=0){
            return Math.round((Math.random() * (b-a) +a ));
        }
        console.log(intRandom(2,15));
        console.log(intRandom(-1,-1));
        console.log(intRandom(0,1));
        console.log(intRandom(10));
    break
    
    case "greetALl":
        function greetAll(){
            for(let i=0; i<arguments.length; i++){
                console.log("Hello "+ arguments[i]);
            }
        }
        greetAll("Vasik", "Bob", "Mary");
    break

    case "sum": 
        function sum(){
            let allSum = 0;
            for(let i=0; i<arguments.length; i++){
                allSum = allSum+ arguments[i];
            }console.log(allSum)
        }
        
        sum(1,2,5,10)
    break

default: alert ("Нет такого задания")
}
